Loading...
Searching...
No Matches
osmo_sub_auth_data2 Struct Reference
GSM/GPRS/3G Authentication

permanent (secret) subscriber auth data More...

`#include <auth.h>`

## Data Fields

enum osmo_sub_auth_type | type
enum osmo_auth_algo | algo
union { |
struct { |
uint8_t osmo_sub_auth_data2::opc [32] |
| operator invariant value More...
uint8_t osmo_sub_auth_data2::opc_len |
| OPc length (in bytes): 16 or 32. More...
uint8_t osmo_sub_auth_data2::k [32] |
| secret key of the subscriber More...
uint8_t osmo_sub_auth_data2::k_len |
| K length (in bytes): 16 or 32. More...
uint8_t osmo_sub_auth_data2::amf [2] |
uint64_t osmo_sub_auth_data2::sqn |
| sequence number (in: prev sqn; out: used sqn) More...
int osmo_sub_auth_data2::opc_is_op |
| is the OPC field OPC (0) or OP (1) ? More...
unsigned int osmo_sub_auth_data2::ind_bitlen |
| nr of bits not in SEQ, only SQN More...
unsigned int osmo_sub_auth_data2::ind |
| which IND slot to use an SQN from More...
uint64_t osmo_sub_auth_data2::sqn_ms |
| sqn from AUTS (output value only) More...
} osmo_sub_auth_data2::umts |
struct { |
uint8_t osmo_sub_auth_data2::ki [OSMO_A5_MAX_KEY_LEN_BYTES] |
| secret key More...
} osmo_sub_auth_data2::gsm |
} | u |

## Detailed Description

permanent (secret) subscriber auth data

The documentation for this struct was generated from the following file:

- include/osmocom/crypt/auth.h